SeExpr

Classes | Macros | Typedefs | Functions
Editable.h File Reference
`#include <sstream>`
`#include <SeExpr2/Vec.h>`
`#include <SeExpr2/Curve.h>`
`#include <cstdio>`
`#include <cstring>`
`#include <ExprDeepWater.h>`

Go to the source code of this file.

## Classes
struct | Editable
struct | NumberEditable
struct | VectorEditable
struct | StringEditable
struct | GenericCurveEditable< TVAL >
struct | AnimCurveEditable
struct | ColorSwatchEditable
struct | DeepWaterEditable

## Macros
#define | UNUSED(x) (void)(x)

## Typedefs
typedef GenericCurveEditable< SeExpr2::Vec3d > | ColorCurveEditable
typedef GenericCurveEditable< double > | CurveEditable

## Functions
void | printVal (std::stringstream &stream, double v)
void | printVal (std::stringstream &stream, const SeExpr2::Vec3d &v)

## Macro Definition Documentation

## ◆ UNUSED

#define UNUSED | ( |  | x | ) | (void)(x)

Definition at line 38 of file Editable.h.

## Typedef Documentation

## ◆ ColorCurveEditable

typedef GenericCurveEditable<SeExpr2::Vec3d> ColorCurveEditable

Definition at line 208 of file Editable.h.

## ◆ CurveEditable

typedef GenericCurveEditable<double> CurveEditable

Definition at line 209 of file Editable.h.

## Function Documentation

## ◆ printVal() [1/2]

void printVal | ( | std::stringstream & | stream,
|  | const SeExpr2::Vec3d & | v
| ) |  |
| inline

Definition at line 34 of file Editable.h.

## ◆ printVal() [2/2]

void printVal | ( | std::stringstream & | stream,
|  | double | v
| ) |  |
| inline

Definition at line 33 of file Editable.h.

Referenced by VectorEditable::appendString(), GenericCurveEditable< TVAL >::appendString(), ColorSwatchEditable::appendString(), and DeepWaterEditable::appendString().